%	Example 1-15
%
t = -10:.005:10;  
x = stp_fn(t - 2);  		% Generate step starting at t = 2
y = impls_fn(t + 3, 0.05);  	% Generate unit impulse at t = -3
z = 2*rmp_fn(4 - t);  		% Generate backwards ramp starting at t = 4
subplot(3,1,1),plot(t,x),axis([-10 10 0 1.5]),xlabel('t'),ylabel('u(t - 2)')
subplot(3,1,2),plot(t,y),axis([-10 10 0 25]),xlabel('t'),ylabel('delta(t + 3)')
subplot(3,1,3),plot(t,z),xlabel('t'),ylabel('r(4 - t)')
