%	DuHammel's computation of the output for Example 2-14
%
RC = 0.1;
t_min = -0.5;
t_max = 2.5;
del_t = 0.001;
t = t_min:del_t:t_max;
L = length(t);
tp = [2*t(1):del_t:2*t(L)];
x_del_dot = stp_fn(t) - 2*stp_fn(t-1) + stp_fn(t-2);
a = (1 - exp(-t/RC)).*stp_fn(t);
y = del_t*conv(x_del_dot, a);
subplot(3,1,1), plot(t, x_del_dot), xlabel('t'), ylabel('der. of input'), axis([t_min t_max -1.5 1.5])
subplot(3,1,2), plot(t, a'), xlabel('t'), ylabel('step resp.'), axis([t_min t_max 0 1.5])
subplot(3,1,3), plot(tp, y), xlabel('t'), ylabel('output'), axis([t_min t_max 0 1])
