%	Plot of the convolution process (Example 2-5)
%
clf
hold off
del_t = .5;
step = 0.005001;
t = -10.1:step:10.1;
L=length(t);
tp = [2*t(1):step:2*t(L)];
tpp = [3*t(1):step:3*t(L)];
ts = cmb_fn(t,del_t,20,.01);
xs = ts.*(t+10).*exp(-0.4*(t+10));
box = pls_fn(t/(del_t-.0005))/del_t;
mask = zeros(size(tp));
mask = pls_fn((tp-tp(1400))/del_t);
%x_box = step*conv(xs, box).*mask;
x_box = del_t*step*conv(xs, box);
x = (t+10).*exp(-0.4*(t+10)).*stp_fn(t+10);
h = exp(-t).*stp_fn(t);
ys = 0.01*del_t*conv(x_box, h);
yt = (1/.6)*((t+10).*exp(-.4*(t+10)))-(1/.36)*(exp(-.4*(t+10))-exp(-(t+10)));
subplot(4,1,1), plot(tp, x_box,'-'), xlabel('t'), ylabel('x(t), x_tilde(t)'), axis([-10 10 0 1.1])
hold on
subplot(4,1,1), plot(t, x, '--')
subplot(4,1,2), plot(t, h,'-'), xlabel('t'), ylabel('h(t)'), axis([-10 10 0 1.1]) 
subplot(4,1,3), plot(tpp, ys,'-'), xlabel('t'), ylabel('y_approx(t)'), axis([-10 10 0 1.1])
subplot(4,1,4), plot(t, yt, '--'),xlabel('t'), ylabel('y(t)'), axis([-10 10 0 1.1])
