%	Solution of Example 6-5 for currents using MATLAB
%	symbolic toolbox
%
syms t s
Z = sym('[2+s, -1, 0; -1, 1+2/s,-2/s; 0, -2/s, 2+2/s]');	% Define impedance matrix
vs = sym('cos(2*t)')
Vs = laplace(vs)
vc = sym('2*cos(2*t)')
Vc = laplace(vc)
E = sym('[s/(s^2+4); 0; 2*s/(s^2+4)]');	% Define LT independent source matrix
Vi = sym('[2; 0; 0]');							% Define LT initial condition matrix
E_plus_Vi = E+Vi						% Form LT of source plus IC matrix
Z_inv = inv(Z);									% Obtain inverse of impedance matrix
I = Z_inv*E_plus_Vi					% Obtain LT current matrix and print
