syms n z                % Declare symbolic
xn = (1/2)^n;           % Define x(n)
hn = (1/3)^n;           % Define h(n)
xz = ztrans(xn,n,z);    % Z-transform x(n)
hz = ztrans(hn,n,z);    % Z-transform h(n)
yz = xz*hz;             % Multiply 
yn = iztrans(yz,z,n);   % Inverse transform Y(z)
yn                      % Display y(n)
