%	Plots for Example 3-11
%
RC = input('Enter vector of RC time constant of filter (sq. wave period = 1) ');
n_max = input('Enter highest harmonic value desired (odd) ');
N_RC = length(RC);
omega_0 = 2*pi;
f0 = 1;
for k = 1:N_RC
	n = [-n_max:2:n_max];
	f = [-n_max*f0:.02:n_max*f0];
	H = 1./(1+j*2*pi*f*RC(k));
	L_n = length(n);
	nn = 2:L_n/2+1;
	sgn = (-1).^nn;		
% 	Fourier coefficients for square wave; 
	X_n = (2./(pi*abs(n))).*[fliplr(sgn) sgn];
%	Fourier coefficients of output
	Y_n = X_n.*(1./(1+j*n*omega_0*RC(k)));
% 	Plot magnitude of X_n and Y_n
	if k == 1
	subplot(N_RC+1,1,1),stem(n*f0, abs(X_n)), xlabel('n*f0'), ylabel('magnitude'),...
	title('Input spectrum'),axis([-n_max*f0 n_max*f0 0 1])
	end
	subplot(N_RC+1,1,k+1),stem(n*f0, abs(Y_n)), xlabel('n*f0'), ylabel('magnitude'),...
	title(['Output spectrum for RC = ', num2str(RC(k)), ' seconds']),
	axis([-n_max*f0 n_max*f0 0 1]),hold on
	subplot(N_RC+1,1,k+1), plot(f,abs(H),'--')
end
