%	Plot of signal and spectra of Example 4-8
%
t = -2:.005:2;			% Define the t and f axes
f = -20:.005:20;
x = pls_fn(t/2).*cos(20*pi*t);	% Use the predefined pulse function to build up x(t)
X = sinc(2*(f - 10)) + sinc(2*(f + 10));	% sinc( ) is a built-in MATLAB function
subplot(2,1,1), plot(t, x), xlabel('t'), ylabel('x1(t)')
subplot(2,1,2), plot(f, X), xlabel('f'), ylabel('X1(f)')
 