%	Illustration of the symbolic toolbox of MATLAB
%	to implement the delay theorem
%
syms t
x0 = sym('Heaviside(t-0)');
x1 = sym('Heaviside(t-1)');
x2 = sym('Heaviside(t-2)');
x3 = sym('Heaviside(t-3)');
xt = x0+x1+x2+x3;
X = laplace(xt);
factor(X)
pretty(X)