%	Example 5-8 illustrates the scaling theorem
%
syms t s
x = sym('exp(-alpha*t)*cos(omega_0*t)*Heaviside(t)');	% Define a signal
X = laplace(x);												% Find its Laplace
																	% transform
pretty(X)														% Display it for
																	% reference
X2 = subs(X, sym('s/2'), 's');							% Scale: substitute
                                                   % s/2 for s
X3 = (1/2)*X2;													% Scale: multiply by 1/2
pretty(X3)														% Display for reference
x3 = ilaplace(X3);											% Inverse LT scaled LT
pretty(x3)														% Display: result is x(t)
																	% with t replaced by 2t
 