
Wn = 2*pi*500;                   % 3-dB frequency for analog prototype
n = 2;                           % Order of analog prototype
Fp = Wn/(2*pi);                  % Prewarping frequency in Hertz
Fs = 2000;                       % Sampling frequency in Hertz
[b,a] = butter(n,Wn,'s');        % Define analog prototype
[num,den] = bilinear(b,a,Fs,Fp); % Determine digital filter
num                              % Display numerator       
den                              % Display denominator
